# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`sysctl`](#sysctl)

### Defined types

#### Public Defined types

* [`sysctl::variable`](#sysctlvariable): manage a kernel variable with sysctl

#### Private Defined types

* `sysctl::define`: collected resource to manage a variable

## Classes

### <a name="sysctl"></a>`sysctl`

The sysctl class.

#### Examples

##### 

```puppet
include sysctl
```

#### Parameters

The following parameters are available in the `sysctl` class:

* [`variable`](#variable)
* [`purge`](#purge)
* [`symlink99`](#symlink99)
* [`binary`](#binary)
* [`use_dir`](#use_dir)
* [`conf_dir`](#conf_dir)
* [`owner`](#owner)
* [`group`](#group)
* [`mode`](#mode)

##### <a name="variable"></a>`variable`

Data type: `Variant[Hash,Undef]`

hash of variables to set, typically defined in hiera

##### <a name="purge"></a>`purge`

Data type: `Boolean`

purge conf_dir of any non-puppet managed files

##### <a name="symlink99"></a>`symlink99`

Data type: `Boolean`

symlink sysctl.conf to conf_dir/99-sysctl.conf

##### <a name="binary"></a>`binary`

Data type: `Stdlib::Absolutepath`

full path of sysctl executable

##### <a name="use_dir"></a>`use_dir`

Data type: `Boolean`

manage per-variable files in conf_dir

##### <a name="conf_dir"></a>`conf_dir`

Data type: `Stdlib::Absolutepath`

full path to sysctl conf.d directory

##### <a name="owner"></a>`owner`

Data type: `Variant[String,Integer,Undef]`

set file owner

##### <a name="group"></a>`group`

Data type: `Variant[String,Integer,Undef]`

set file group

##### <a name="mode"></a>`mode`

Data type: `Variant[String,Undef]`

set file mode

## Defined types

### <a name="sysctlvariable"></a>`sysctl::variable`

manage a kernel variable with sysctl

#### Parameters

The following parameters are available in the `sysctl::variable` defined type:

* [`variable`](#variable)
* [`ensure`](#ensure)
* [`prefix`](#prefix)
* [`suffix`](#suffix)
* [`content`](#content)
* [`source`](#source)
* [`enforce`](#enforce)
* [`comment`](#comment)

##### <a name="variable"></a>`variable`

Data type: `Optional[String]`

kernel variable to manage, defaults to the resource title

Default value: `$title`

##### <a name="ensure"></a>`ensure`

Data type: `Variant[String,Integer,Undef]`

value to assign, use _absent_ or _undef_ to remove

Default value: ``undef``

##### <a name="prefix"></a>`prefix`

Data type: `Optional[String]`

prefix to conf.d variable filename

Default value: ``undef``

##### <a name="suffix"></a>`suffix`

Data type: `String`

suffix to conf.d variable filename

Default value: `'.conf'`

##### <a name="content"></a>`content`

Data type: `Optional[String]`

set value from content instead of ensure
_not supported if use_dir is disabled_

Default value: ``undef``

##### <a name="source"></a>`source`

Data type: `Optional[String]`

set value from a source instead of ensure
_not supported if use_dir is disabled_

Default value: ``undef``

##### <a name="enforce"></a>`enforce`

Data type: `Boolean`

ensure value is set at puppet runtime

Default value: ``true``

##### <a name="comment"></a>`comment`

Data type: `Optional[Variant[String,Array[String]]]`

comment to add to file

Default value: ``undef``

